/*****************************
	Weather 5.00
	Maxthon Sidebar Plugin
	By Neo101
	
	24 May 2006
******************************/

var CONFIG_WIDTH = '300'
var CONFIG_HEIGHT = '400'

var SUPPORT_URL = 'http://forum.maxthon.com/index.php?showtopic=33672'

function expandCollapse( element ){
	var nextElement = element.nextSibling
	var itemName = 'Display' + nextElement.id.replace(/data/,'')
	if(nextElement.style.display == 'none'){
		nextElement.style.display = 'block'
		writeSetting(itemName, '1')
	}
	else{
		nextElement.style.display = 'none'
		writeSetting(itemName, '0')
	}
}


function changeCity(number){
	document.getElementById('error').innerHTML = ''
	var items = ['dataNow', 'dataToday', 'dataTonight', 'dataTodayDetailed', 'dataFuture']
	for(var i=0; i<items.length; i++){
		document.getElementById( items[i] ).innerHTML = translate('loading')
	}
	document.getElementById('cityLink'+activeCity).style.fontWeight = 'normal'
	document.getElementById('cityLink'+number).style.fontWeight = 'bold'
	
	locationId = readSetting('LocationCode' + number)
	cityName = transLocation( readSetting('LocationTxt' + number) )
	writeSetting('ActiveCity', number)
	activeCity = number
	
	setLocation(cityName)
	
	if(showLastUpdate != '0')
		document.getElementById('updateTime').innerHTML = ''
	
	if(showDetailsLink != '0')
		document.getElementById('moreDetails').href = detailsLink + locationId
	
	loadWeatherData()
}


function setStates(){
	var items = ['DisplayNow', 'DisplayToday', 'DisplayTonight', 'DisplayTodayDetailed', 'DisplayFuture', 'DisplayMenu']
	var elements = ['dataNow', 'dataToday', 'dataTonight', 'dataTodayDetailed', 'dataFuture', 'menu']
	for(var i=0; i<items.length; i++){
		var style = document.getElementById( elements[i] ).style
		if(readSetting( items[i] ) == '1'){
			style.display = 'block'
		}
		else{
			style.display = 'none'
		}
	}
}


function blurLinks(){
	var links = document.getElementsByTagName('a')
	for(var i=0; i<links.length; i++){
		links[i].onfocus = function(){
								this.blur()
							}
	}
}


function writeCities(){
	var result = ''
	for(var i=1; i<=numberOfCities; i++){
		var location = transLocation( readSetting('LocationTxt' + i) )
		result += '<td><a title="'+location+'" id="cityLink'+i+'" href="javascript:changeCity('+i+')">'+i+'</a></td>'
	}
	document.write( result )
}


function writeAboutBox(){
	var text = ''
	if(showLastUpdate != '0')
		text += '<span id=updateTime>?</span><br>'
	if(showDetailsLink != '0')
		text += '<a href="'+ detailsLink + locationId +'" target=_blank id=moreDetails>'+translate('MoreDetails')+'</a><br>'
	text +=	'<span onclick="window.open(\''+SUPPORT_URL+'\')" style="cursor:hand">'+
                'Weather ' + VERSION + 
            '</span><br>'+
			translate('By')+' Neo101 <br>'+
			translate('ByWeatherCom')+' <br>'
	
	document.write(text)
}


function showConfig(){
	var left = ( screen.width/2 ) - ( CONFIG_WIDTH / 2 )
	var top =  ( screen.height/2 ) - ( CONFIG_HEIGHT / 2 )
	var list = 'status:0;help:0;scroll:0;resizable:0;dialogHeight:'+CONFIG_HEIGHT+'px;dialogWidth:'+CONFIG_WIDTH+
					'px;center:0;dialogLeft:'+left+'px;dialogTop:'+top+'px'
	var dialog = window.showModalDialog('config.html', window, list)
}


function configClose(isChanged){
	if(isChanged == true)
		location.reload()
}